package chess4j.search;

public class SearchStats {

	private long nodes;
	private long hashProbes;
	private long hashHits;
	
	public long getHashHits() {
		return hashHits;
	}
	
	public long getHashProbes() {
		return hashProbes;
	}
	
	public long getNodes() {
		return nodes;
	}
	
	public void incHashHits() {
		hashHits++;
	}
	
	public void incHashProbes() {
		hashProbes++;
	}
	
	public void incNodes() {
		nodes++;
	}
}
